# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS Linux and Scientific Linux as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "sl" || "%{__distinit}" == "sls"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

# We need Test::More ≥ 0.88, and have to patch the test suite if we don't have it
%global old_test_more %(perl -MTest::More -e 'print (($Test::More::VERSION < 0.88) ? 1 : 0);' 2>/dev/null || echo 0)

Name:		perl-Module-Runtime-Conflicts
Version:	0.003
Release:	1.%{__distinit}%{__distvers}
Summary:	Provide information on conflicts for Module::Runtime
License:	GPL+ or Artistic
Group:		Development/Libraries
URL:		http://search.cpan.org/dist/Module-Runtime-Conflicts/
Source0:	http://search.cpan.org/CPAN/authors/id/E/ET/ETHER/Module-Runtime-Conflicts-%{version}.tar.gz
Patch1:		Module-Runtime-Conflicts-0.002-old-Test::More.patch
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(id -nu)
# Build:
BuildRequires:	coreutils
BuildRequires:	findutils
BuildRequires:	make
BuildRequires:	perl
%if 0%{?fedora} > 20 || 0%{?rhel} > 7
BuildRequires:	perl-generators
%endif
BuildRequires:	perl(ExtUtils::MakeMaker)
# Module:
BuildRequires:	perl(Dist::CheckConflicts)
BuildRequires:	perl(Module::Runtime)
BuildRequires:	perl(strict)
BuildRequires:	perl(warnings)
# Tests:
BuildRequires:	perl(File::Spec)
BuildRequires:	perl(if)
BuildRequires:	perl(Module::Metadata)
BuildRequires:	perl(Test::More)
# Optional Tests:
BuildRequires:	perl(CPAN::Meta) >= 2.120900
# Runtime:
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Requires:	perl(Dist::CheckConflicts)

%description
This module provides conflicts checking for Module::Runtime, which had a
release that broke some versions of Moose. It is called from Moose::Conflicts
and moose-outdated.

%prep
%setup -q -n Module-Runtime-Conflicts-%{version}

# We can also make do with an ancient Test::More if pressed
%if %{old_test_more}
%patch1
%endif

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -delete
%{_fixperms} %{buildroot}

%check
make test

%clean
rm -rf %{buildroot}

%files
%if 0%{?_licensedir:1}
%license LICENCE
%else
%doc LICENCE
%endif
%doc Changes CONTRIBUTING README
%{perl_vendorlib}/Module/
%{_mandir}/man3/Module::Runtime::Conflicts.3*

%changelog
* Thu Jun 23 2016 Paul Howarth <paul@city-fan.org> - 0.003-1
- Update to 0.003
  - Makefile.PL now also checks for incompatible Moose versions
- Switch to ExtUtils::MakeMaker flow
- BR: perl-generators where available

* Sat Jun 27 2015 Paul Howarth <paul@city-fan.org> - 0.002-2
- Perl 5.22 rebuild

* Fri Mar 13 2015 Paul Howarth <paul@city-fan.org> - 0.002-1
- Update to 0.002
  - Make this module actually check the proper versions :/
  - Add entries for MooseX:NonMoose and Elasticsearch, both of which also had
    issues with changes to Module::Runtime

* Fri Sep 26 2014 Paul Howarth <paul@city-fan.org> - 0.001-1
- Initial RPM version
